> For the complete documentation index, see [llms.txt](https://docs.mobiusflow.com/help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mobiusflow.com/help/mobiusflow-v3/mobiusflow-historian-data-api-v3/object.md).

# Object

## GET /api/historian/v3/object/

> Get objects

```json
{"openapi":"3.1.0","info":{"title":"MobiusFlow® Historian Data API","version":"3.0.0"},"paths":{"/api/historian/v3/object/":{"get":{"summary":"Get objects","tags":["Object"],"parameters":[{"schema":{"description":"Object URI to retrieve or all objects if not specified. The URI can include MQTT like wildcards (URL encoded + or #) e.g. uri=000001/%2b/0001/%23","type":"string"},"in":"query","name":"uri","description":"Object URI to retrieve or all objects if not specified. The URI can include MQTT like wildcards (URL encoded + or #) e.g. uri=000001/%2b/0001/%23"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Array of Objects","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"data":{"type":"array","items":{"type":"object","properties":{"uri":{"description":"Object URI","type":"string"},"hid":{"description":"Object HID","type":"string"},"sid":{"description":"Object SID","type":"string"},"pid":{"description":"Object PID","type":"string"},"ins":{"description":"Object Ins","type":"string"},"name":{"description":"Object Name","type":"string"},"description":{"description":"Object Description","type":"string"},"location":{"description":"Object Location","type":"string"},"tags":{"description":"Object Tags","anyOf":[{"description":"Tags as key value pairs","type":"object","propertyNames":{"type":"string"},"additionalProperties":{"type":"object","properties":{"value":{"type":"string"},"from":{"anyOf":[{"type":"string","const":"profile"},{"type":"string","const":"instance"}]}},"required":["from"],"additionalProperties":false}},{"type":"null"}]},"rids":{"description":"Object RIDs","anyOf":[{"type":"array","items":{"type":"object","properties":{"rid":{"description":"Resource ID (RID)","type":"string","pattern":"\\b(?:[0-9A-F]{4}|[0-9A-F]{2})\\b"},"settings":{"description":"Resource settings as key value pairs","type":"object","propertyNames":{"type":"string"},"additionalProperties":{}},"tags":{"description":"Tags as key value pairs","type":"object","propertyNames":{"type":"string"},"additionalProperties":{"type":"object","properties":{"value":{"type":"string"},"from":{"anyOf":[{"type":"string","const":"profile"},{"type":"string","const":"instance"}]}},"required":["from"],"additionalProperties":false}}},"required":["rid"],"additionalProperties":false}},{"type":"null"}]}},"required":["uri","hid","sid","pid","ins","name","description","location"],"additionalProperties":false}}},"required":["ts","data"],"additionalProperties":false}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Bad Request","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unauthorized","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"408":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Request Timeout","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"422":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Unprocessable Entity","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"description":"Internal Server Error","type":"object","properties":{"ts":{"description":"Timestamp of the response","type":"string"},"statusCode":{"description":"HTTP status code","type":"number"},"errorCode":{"description":"Error code","type":"string"},"message":{"description":"Error message","type":"string"},"detail":{"description":"Error details (optional)"}},"required":["ts","statusCode","errorCode","message"],"additionalProperties":false}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mobiusflow.com/help/mobiusflow-v3/mobiusflow-historian-data-api-v3/object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
